
Redmine - Feature #16194

Ruby 2.1 support

2014-02-28 05:43 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 2.5.2   

Resolution:    

Description

I run travis personally.

https://travis-ci.org/marutosi/redmine-bb

Ruby 2.1.0 tests passes.

But, Ruby 2.1.1 (ruby 2.1.1p76 (2014-02-24 revision 45161) [x86_64-linux]) tests fail.

https://travis-ci.org/marutosi/redmine/builds/19696007

This is due to Ruby 2.1.1 defect.

https://github.com/rails/rails/issues/14188#issuecomment-36206823

https://github.com/rails/rails/pull/14198

https://bugs.ruby-lang.org/issues/9576

Related issues:

Related to Redmine - Defect #16269: Cannot create/edit user and after create ... Closed

Associated revisions

Revision 13115 - 2014-05-01 03:59 - Toshi MARUYAMA

add patch for regression of Hash#reject in Ruby 2.1.1 (#16194)

Revision 13171 - 2014-05-25 17:56 - Toshi MARUYAMA

pass PatchesTest on Rails 4.0.5 (#16194)

Revision 13204 - 2014-07-02 05:50 - Toshi MARUYAMA

Merged r13115 and r13171 from trunk to 2.5-stable (#16194)

History

#1 - 2014-02-28 05:48 - Toshi MARUYAMA

- Description updated

#2 - 2014-03-06 04:28 - Toshi MARUYAMA

- Subject changed from Ruby 2.1.1 support to Ruby 2.1support

#3 - 2014-03-06 04:30 - Toshi MARUYAMA

- Description updated

#4 - 2014-03-06 04:34 - Toshi MARUYAMA

- Subject changed from Ruby 2.1support to Ruby 2.1 support

#5 - 2014-03-11 10:12 - Toshi MARUYAMA

- Related to Defect #16269: Cannot create/edit user and after create project (Clean install redmine 2.5.0) added

#6 - 2014-04-18 08:54 - Toshi MARUYAMA

Regression of Hash#reject in Ruby 2.1.1

https://www.ruby-lang.org/en/news/2014/03/10/regression-of-hash-reject-in-ruby-2-1-1/
#7 - 2014-05-28 05:46 - Toshi MARUYAMA

Ruby 2.1.2 has released.

https://www.ruby-lang.org/en/news/2014/05/09/ruby-2-1-2-is-released/

#8 - 2014-07-01 18:35 - Raphael Kallensee

Can I assume that Redmine runs fine with Ruby 2.1.2?

#9 - 2014-07-02 06:14 - Toshi MARUYAMA

- Target version set to 2.5.2

Trunk on CI server has Ruby 2.1.2 environment.

http://www.redmine.org/builds/index.html

JPL, could you add Ruby 2.1.2 to Redmine 2.5?

#10 - 2014-07-03 21:50 - Jean-Philippe Lang

I'll do it asap.

#11 - 2014-07-05 13:46 - Jean-Philippe Lang

- Status changed from New to Closed

Ruby 2.1.2 tests added to Redmine 2.5 and they pass.
